Get release attachment (By Release ID)
Gets release attachment details and an unauthenticated presigned download URL that is valid for approximately one
minute; start the download immediately after the call. attachment_id must be ReleaseAsset.attachment.id, not
ReleaseAsset.id, and the release asset must be backed by an attachment.
Request
GET
https://api.sourcecraft.tech/releases/id:{release_id}/attachments/{attachment_id}
Path parameters
|
Name |
Description |
|
attachment_id |
Type: string Example: `` |
|
release_id |
Type: string Example: `` |
Responses
200 OK
A successful response.
Body
application/json
{
"id": "example",
"name": "example",
"mime_type": "example",
"file_type": "image",
"size": "example",
"url": "example"
}
|
Name |
Description |
|
file_type |
Type: FileType Enum: |
|
id |
Type: string Example: |
|
mime_type |
Type: string Example: |
|
name |
Type: string Example: |
|
size |
Type: string<int64> Example: |
|
url |
Type: string Example: |
FileType
Type: string
Enum: image, document, video, container
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": null
}
|
Name |
Description |
|
details |
Type: unknown Example: |
|
error_code |
Type: string Example: |
|
message |
Type: string Example: |
|
request_id |
Type: string Example: |